Bug 175645 - CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
impact=important,reported=20051103,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 12:34 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-878
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:17:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-12-13 12:34:14 EST
+++ This bug was initially created as a clone of Bug #173888 +++

Numerous issue have been discovered in xpdf (which cups contains the source for)

An attacker could construct a carefully crafted PDF file that could cause Xpdf
to crash or possibly execute arbitrary code when opened. 

This issue should also affect RHEL3

I will attach a patch as soon as we have a complete one.
Comment 1 Josh Bressers 2005-12-14 10:30:54 EST
The patches for these issues are in attachment 122226 [details] and attachment 122227 [details].

The sooner we can have new packages rolled the better as the Christmas holiday
is quickly approaching.
Comment 2 Tim Waugh 2005-12-14 10:53:38 EST
Do we have an RHTS test case for this?
Comment 3 Josh Bressers 2005-12-14 11:13:58 EST
There aren't currently any reproducers for these issues.

Please note that these issues affect xpdf, kdegraphics, cups, gpdf, tetex and
poppler.  Some cooperation will probably make things easier.
Comment 9 Red Hat Bugzilla 2005-12-20 09:17:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-878.html

Note You need to log in before you can comment on or make changes to this bug.